Page MenuHomeFreeBSD

Update devel/libffi to 3.3
ClosedPublic

Authored by zeising on Jun 6 2020, 9:00 AM.
Tags
None
Referenced Files
F78306456: D25163.diff
Fri, Mar 1, 6:35 PM
Unknown Object (File)
Jan 15 2024, 8:54 PM
Unknown Object (File)
Jan 12 2024, 4:07 PM
Unknown Object (File)
Jan 10 2024, 7:01 AM
Unknown Object (File)
Dec 31 2023, 11:04 PM
Unknown Object (File)
Dec 20 2023, 7:18 AM
Unknown Object (File)
Dec 15 2023, 11:52 PM
Unknown Object (File)
Nov 22 2023, 10:20 AM

Details

Reviewers
kp
Group Reviewers
portmgr
Commits
rP541231: devel/libffi: Update to 3.3.0
Summary

Patch updates libffi to 3.3

shlib version change, all consumers needs to be bumped (not included in this patch).

Test Plan

exp-run: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247028
build- and runtime tests on a variety of platforms

Test suite is ok on amd64 11.3, 12.1 and current
Test suite fails on i386 11.3, 12.1 and current, but this is also true for 3.2.1 which is in ports today.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

zeising edited the summary of this revision. (Show Details)
kp added a subscriber: kp.

With this patch python3 builds and runs on RISC-V.

This revision is now accepted and ready to land.Jun 9 2020, 10:00 AM

Fix hardcoding of libffi.so.6 in a few places.

This revision now requires review to proceed.Jun 14 2020, 8:48 AM

Fix build failures from exp-run

Still happy on RISC-V.

This revision was not accepted when it landed; it landed in state Needs Review.Jul 4 2020, 6:14 PM
This revision was automatically updated to reflect the committed changes.